View Issue Details

IDProjectCategoryView StatusLast Update
0014517MediaMonkey 5Tracklistpublic2017-12-08 02:58
Reportermichal 
PriorityurgentSeverityminorReproducibilityunable to reproduce
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0014517: Progress circle saying "Reading files ..." could sometimes fail to end.
DescriptionIt seems, there could be situation, where progress displayed during fetching tracklists never ends.
It should be also more specific message, e.g. like "Reading files from your Google Play library", so it will be more clear, reading what exactly failed/lasts so long.
Additional Informationhttp://forum.mediamonkey.com/viewtopic.php?f=30&t=88794
TagsNo tags attached.
Fixed in build2086

Relationships

related to 0014558 closedpetr Errors when first running build 2084 
related to 0014560 closedLudek Changing auto-playlist sort rules causes endless 'reading files...' threads 

Activities

Ludek

2017-11-06 17:49

developer   ~0049116

There was a bug in promise cancellation that was fixed on 10/16/2017 (SVN revision 29890), but there is probably still a problem...

Ludek

2017-11-07 19:31

developer   ~0049124

Last edited: 2017-11-07 19:51

View 3 revisions

Although probably not the original issue -- I can replicate this one:
a) open Add/Rescan dialog
b) click [Choose folders...] button
=> 'Loading...' appears on the progress bar and never disappears (until app is closed)

=> Fixed in 2083

Ludek

2017-11-27 09:34

developer   ~0049282

Most probably fixed by the same fix as 0014558 (SVN revision 30212)

i.e. fixed in 2085

Ludek

2017-11-28 12:28

developer   ~0049293

Fixed in 2086 by fix of 0014560

peke

2017-12-08 02:58

developer   ~0049352

Verified 2086